List Agents
curl --request GET \
--url https://api.example.com/v1/agents{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"endpoint_url": "<string>",
"auth_header_name": "<string>",
"trigger_on_sources": [
"<string>"
],
"trigger_on_severities": [
"<string>"
],
"trigger_filter": {},
"timeout_seconds": 123,
"retry_count": 123,
"is_active": true,
"documentation": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}
}Agents
List Agents
GET
/
v1
/
agents
List Agents
curl --request GET \
--url https://api.example.com/v1/agents{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"endpoint_url": "<string>",
"auth_header_name": "<string>",
"trigger_on_sources": [
"<string>"
],
"trigger_on_severities": [
"<string>"
],
"trigger_filter": {},
"timeout_seconds": 123,
"retry_count": 123,
"is_active": true,
"documentation": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}
}Query Parameters
Page number (1-indexed)
Required range:
x >= 1Items per page (max 500)
Required range:
1 <= x <= 500⌘I

